Welcome, Guest. Please login or register. Did you miss your activation email?

Author Topic: Can't install PySFML  (Read 5854 times)

0 Members and 1 Guest are viewing this topic.

rogeriodec

  • Newbie
  • *
  • Posts: 42
    • View Profile
Can't install PySFML
« on: June 07, 2018, 03:25:45 am »
I'm trying to install PySFML but I'm getting an error:

Code: [Select]
Could not find a version that satisfies the requirement pySFML (from versions: )
No matching distribution found for pySFML

How to install PySFML?

logo123

  • Newbie
  • *
  • Posts: 5
    • View Profile
    • Email
Re: Can't install PySFML
« Reply #1 on: July 11, 2019, 12:23:55 pm »
it is hard to compile it from sources...

pip install pysfml  dont work now

the besst way is that down the wheel and   pip install xxx.wheel yourself

download link:
https://www.lfd.uci.edu/~gohlke/pythonlibs/#pysfml


logo123

  • Newbie
  • *
  • Posts: 5
    • View Profile
    • Email
Re: Can't install PySFML
« Reply #2 on: July 11, 2019, 12:29:20 pm »
you can donwload some example to start learn pysfml... it is easy to test it out...


and there are some small broken in examples.... like the pong.py example

you need to change
        if event == sf.Event.CLOSED:
            window.close()

to
        # close window : exit
        if type(event) is sf.CloseEvent:
            window.close()

and change
       event['code'] 
to
       event.code


change import sfml as sf    to  from sfml import sf 

then it can be a workable example...

 :) :) :)